import { Element, SourcePosition } from "@opticss/element-analysis";
import * as postcss from "postcss";
import { Optimizations } from "../../OpticssOptions";
import { ParsedSelector } from "../../parseSelector";
import { Action } from "../Action";
/**
 * Changes a Rule's selector string.
 */
export declare class AnnotateMergeConflict extends Action {
    mergedDecl: postcss.Declaration;
    mergedSel: ParsedSelector;
    unmergedDecl: postcss.Declaration;
    unmergedSel: ParsedSelector;
    conflictDecl: postcss.Declaration;
    conflictSel: ParsedSelector;
    element: Element;
    constructor(mergedDecl: postcss.Declaration, mergedSel: ParsedSelector, unmergedDecl: postcss.Declaration, unmergedSel: ParsedSelector, conflictDecl: postcss.Declaration, conflictSel: ParsedSelector, element: Element, optimization?: keyof Optimizations);
    readonly sourcePosition: SourcePosition | undefined;
    perform(): this;
    logString(): string;
    elementString(element?: Element): string;
    declString(selector: ParsedSelector, decl: postcss.Declaration): string;
}
