import { SourcePosition } from "@opticss/element-analysis";
import * as postcss from "postcss";
import { Optimizations } from "../../OpticssOptions";
import { SelectorCache } from "../../query";
import { Action } from "../Action";
/**
 * Changes a Rule's selector string.
 */
export declare class ChangeSelector extends Action {
    reason: string;
    rule: postcss.Rule;
    oldSelector: string;
    newSelector: string;
    cache: SelectorCache;
    constructor(rule: postcss.Rule, newSelector: string, optimization: keyof Optimizations, reason: string, cache: SelectorCache);
    readonly sourcePosition: SourcePosition | undefined;
    perform(): this;
    logString(): string;
}
