import { SourcePosition } from "@opticss/element-analysis";
import * as postcss from "postcss";
import { Optimizations } from "../../OpticssOptions";
import { DeclarationInfo } from "../../optimizations/MergeDeclarations/StyleInfo";
import { Action } from "../Action";
/**
 * Merges duplicate declarations from multiple rule sets into a new rule set.
 */
export declare class ExpandShorthand extends Action {
    decl: postcss.Declaration;
    rule: postcss.Rule;
    decls: Array<DeclarationInfo>;
    newDecls: Array<postcss.Declaration>;
    reason: string;
    constructor(decl: postcss.Declaration, decls: Array<DeclarationInfo>, optimization: keyof Optimizations, reason: string);
    perform(): this;
    logString(): string;
    readonly sourcePosition: SourcePosition | undefined;
}
