import { SourcePosition } from "@opticss/element-analysis";
import { SimpleAttribute } from "@opticss/template-api";
import { Keys } from "@opticss/util";
import { OptimizationPass } from "../../OptimizationPass";
import { Optimizations } from "../../optimizations";
import { ParsedSelectorAndRule } from "../../query";
import { MultiAction } from "../Action";
/**
 * Note that an attribute value is not used and will be removed from the
 * template.
 */
export declare class MarkAttributeValueObsolete extends MultiAction {
    reason: string;
    pass: OptimizationPass;
    selectors: ParsedSelectorAndRule[];
    attribute: SimpleAttribute;
    constructor(pass: OptimizationPass, selectors: ParsedSelectorAndRule[], attribute: SimpleAttribute, reason: string, optimization?: Keys<Optimizations>);
    readonly sourcePosition: SourcePosition | undefined;
    perform(): this;
    logStrings(): Array<string>;
}
