import { SourcePosition } from "@opticss/element-analysis";
import * as postcss from "postcss";
import { Optimizations } from "../../OpticssOptions";
import { SelectorCache } from "../../query";
import { Action } from "../Action";
/**
 * Removes a Rule.
 * Keeps track of the parent to which it belonged and the prev sibling.
 */
export declare class RemoveRule extends Action {
    reason: string;
    parent: postcss.Container;
    prevSibling: postcss.Node | undefined;
    rule: postcss.Rule;
    cache: SelectorCache;
    constructor(rule: postcss.Rule, optimization: keyof Optimizations, reason: string, cache: SelectorCache);
    perform(): this;
    readonly oldSelector: string;
    logString(): string;
    readonly sourcePosition: SourcePosition | undefined;
}
