import { SourcePosition } from "@opticss/element-analysis";
import * as postcss from "postcss";
import * as selectorParser from "postcss-selector-parser";
import { OptimizationPass } from "../../OptimizationPass";
import { ParsedSelector } from "../../parseSelector";
import { IdentNode } from "../../util/cssIntrospection";
import { Action } from "../Action";
export interface RuleIdents {
    rule: postcss.Rule;
    selectors: ParsedSelector[];
    idents: IdentNode[];
}
export interface KnownIdents {
    id: Set<string>;
    class: Set<string>;
}
/**
 * Changes a Rule's selector's idents to make them more compressible.
 */
export declare class RewriteRuleIdents extends Action {
    newSelector: string;
    oldSelector: string | undefined;
    ident: RuleIdents;
    knownIdents: KnownIdents;
    pass: OptimizationPass;
    constructor(pass: OptimizationPass, ident: RuleIdents, reason?: string);
    readonly sourcePosition: SourcePosition | undefined;
    perform(): this;
    rewriteNode(type: keyof KnownIdents, node: selectorParser.ClassName | selectorParser.Identifier): void;
    logString(): string;
}
