import { Attribute, AttributeNS, Element, ElementInfo } from "@opticss/element-analysis";
import * as SelectorParser from "postcss-selector-parser";
import { Match } from "./Match";
import { HasSelectorNodes, Matcher } from "./Matcher";
export declare function isSelector(node: {
    type: string;
} | undefined): node is SelectorParser.Selector;
export declare function findAttr(element: ElementInfo, name: string, namespaceURL?: string | null): Attribute | AttributeNS | undefined;
export declare class ElementMatcher extends Matcher<Element> {
    private constructor();
    private static _instance;
    static readonly instance: ElementMatcher;
    matchSelectorComponent(element: Element, selector: HasSelectorNodes): Match;
    matchSelectorNode(element: Element, node: SelectorParser.Node): Match;
}
