export declare enum Match {
    /**
     * The element will definitively match the selector or selector component in
     * at least dynamic one state.
     */
    yes = 1,
    /**
     * The element may match the selector or selector component; information is
     * ambiguous.
     */
    maybe = 2,
    /** The element will not match the selector or selector component. */
    no = 3,
    /**
     * The element is unrelated to the selector or selector component and no
     * information about whether the element matches can be determined.
     */
    pass = 4
}
/**
 * true => Match.yes
 * false => Match.no
 * null => Match.pass
 * undefined => Match.maybe
 */
export declare function boolToMatch(value: boolean | null | undefined): Match;
export declare function matchToBool(match: Match): boolean | null | undefined;
export declare function matches(m: Match): boolean;
export declare function rejects(m: Match): boolean;
export declare function negate(m: Match): Match;
