import { Selectable } from "@opticss/element-analysis";
import * as SelectorParser from "postcss-selector-parser";
import { ParsedSelector } from "../parseSelector";
import { Match } from "./Match";
export interface HasSelectorNodes {
    nodes: Array<SelectorParser.Node>;
}
export declare abstract class Matcher<Type extends Selectable> {
    /**
     * @param [keySelectorOnly=true] When false, this selector can match against
     *   any compound selector in the parsed selector.
     */
    matchSelector(selectable: Type, parsedSelector: ParsedSelector, keySelectorOnly: boolean): Match;
    abstract matchSelectorComponent(selectable: Selectable, selector: HasSelectorNodes): Match;
    abstract matchSelectorNode(selectable: Selectable, selector: SelectorParser.Node): Match;
}
