export interface ErrorLocation {
    filename?: string;
    line?: number;
    column?: number;
}
/**
 * Custom Opticss error base class. Will format `ErrorLocation` into thrown
 * error message if provided.
 */
export declare class OpticssError extends Error {
    static prefix: string;
    origMessage: string;
    private _location?;
    constructor(message: string, location?: ErrorLocation);
    private annotatedMessage;
    readonly location: ErrorLocation | undefined;
}
/**
 * Custom Opticss error type for template analysis errors.
 */
export declare class TemplateError extends OpticssError {
    static prefix: string;
    constructor(message: string, location?: ErrorLocation);
}
