import { TemplateAnalysis, TemplateIntegrationOptions, TemplateTypes } from "@opticss/template-api";
import { ParsedCssFile } from "../CssFile";
import { OptiCSSOptions } from "../OpticssOptions";
import { OptimizationPass } from "../OptimizationPass";
/**
 * Initializes this OptimizationPass' ident generator with blacklisted identifiers.
 * @param pass The OptimizationPass.
 * @param analyses - All analysis objects associated with this Optimization.
 * @param files - All parsed css files being optimized.
 * @param options - This Optimization's options.
 * @param templateOptions - The compatible options for this integratin's Template rewriter.
 */
export declare function initKnownIdents(pass: OptimizationPass, analyses: TemplateAnalysis<keyof TemplateTypes>[], files: ParsedCssFile[], options: OptiCSSOptions, templateOptions: TemplateIntegrationOptions): void;
