import { NormalizedRewriteOptions, TemplateAnalysis, TemplateIntegrationOptions, TemplateTypes } from "@opticss/template-api";
import { ParsedCssFile } from "../CssFile";
import { Initializers } from "../initializers";
import { OptiCSSOptions } from "../OpticssOptions";
import { OptimizationPass } from "../OptimizationPass";
import { MultiFileOptimization } from "./Optimization";
export declare class RewriteIdents implements MultiFileOptimization {
    name: string;
    initializers: Array<keyof Initializers>;
    rewriteOptions: NormalizedRewriteOptions;
    constructor(options: OptiCSSOptions, templateOptions: TemplateIntegrationOptions);
    optimizeAllFiles(pass: OptimizationPass, _analyses: Array<TemplateAnalysis<keyof TemplateTypes>>, files: ParsedCssFile[]): void;
}
