import { OptimizationConstructor } from "./Optimization";
import { MergeDeclarations } from "./MergeDeclarations";
import { RemoveUnusedStyles } from "./RemoveUnusedStyles";
import { RewriteIdents } from "./RewriteIdents";
export { Optimization, OptimizationConstructor, MultiFileOptimization, SingleFileOptimization, isMultiFileOptimization, isSingleFileOptimization, } from "./Optimization";
export interface Optimizations {
    removeUnusedStyles: typeof RemoveUnusedStyles;
    rewriteIdents: typeof RewriteIdents;
    mergeDeclarations: typeof MergeDeclarations;
    [optimization: string]: OptimizationConstructor;
}
export declare const optimizations: Optimizations;
