import { TestTemplate } from "@opticss/simple-template";
import { TemplateIntegrationOptions } from "@opticss/template-api";
import { AssertionResult, ElementStyleMismatch } from "resolve-cascade";
import { OptiCSSOptions } from "../../src/OpticssOptions";
import { OptimizationResult } from "../../src/Optimizer";
export interface TestedMarkup {
    originalBody: string;
    optimizedBody: string;
}
export interface CascadeAssertionResults {
    template: TestTemplate;
    assertionResults: Array<AssertionResult>;
}
export interface CascadeTestResult {
    optimization: OptimizationResult;
    testedTemplates: CascadeAssertionResults[];
}
export interface CascadeTestErrorDetails {
    optimization: OptimizationResult;
    template: TestTemplate;
    rewrittenHtml: string;
}
export declare type CascadeTestError = Error & CascadeTestErrorDetails;
export declare function testOptimizationCascade(options: Partial<OptiCSSOptions>, templateOptions: TemplateIntegrationOptions, ...stylesAndTemplates: Array<string | TestTemplate>): Promise<CascadeTestResult>;
export declare function logOptimizations(optimization: OptimizationResult): void;
export declare function debugResult(inputCSS: string, result: CascadeTestResult): void;
export declare function debugCascadeError(error: ElementStyleMismatch & CascadeTestErrorDetails): void;
export declare function debugError(inputCSS: string, error: CascadeTestError): void;
