import * as cssSize from "css-size";
import { CascadeTestResult } from "./assertCascade";
export interface DeltaAssertion {
    notBiggerThan?: number;
    atLeastSmallerThan?: number;
    skip?: boolean;
}
export interface DeltaAssertions {
    uncompressed?: DeltaAssertion;
    gzip?: DeltaAssertion;
    brotli?: DeltaAssertion;
}
export declare type SizeResultPair = [cssSize.Result<number>, cssSize.Result<number>];
export declare function assertSmaller(inputCSS: string, result: CascadeTestResult, assertions?: DeltaAssertions): Promise<void>;
export declare function assertSmallerWithResults(inputCSS: string, result: CascadeTestResult, assertions?: DeltaAssertions): Promise<SizeResultPair>;
export declare function assertSmallerStylesAndMarkup(inputCSS: string, outputCSS: string, inputMarkup: string, outputMarkup: string, assertions?: DeltaAssertions): Promise<void>;
export declare function assertSmallerStylesAndMarkupWithResults(inputCSS: string, outputCSS: string, inputMarkup: string, outputMarkup: string, assertions?: DeltaAssertions): Promise<SizeResultPair>;
export declare function debugSize(result: CascadeTestResult): Promise<void>;
